#version 3.6;
#include "colors.inc"
#include "skies.inc"
#include "shapes.inc"
#include "shapes2.inc"
sky_sphere{S_Cloud1}




#declare Area = 0;
#declare Fog = 0;//4000;//3000;
#declare Rad=0;
#declare Sk=0.75;
#declare Sj=0.75;
#declare maxshape = 26;
#declare maxprism = 6;



camera{
  //original camera settings:
	//location <800,600,-600>*1.4 
	//look_at<00,-40,0>
	//experimental camera settings:
	location <2000,60,-2000> 
	look_at<0,60,0>
	angle 50
}

light_source {<-3000, 10000, -3000> color rgb 2
  #if (Area)
    area_light <300,0,0>,<0,0,300>,6,6
    adaptive 1
    jitter
    circular
    orient
  #end
}

plane{y,0 pigment{color rgb .05}}

               
#declare R=seed(1);

#include "Building7.inc"

#declare J=-7;
#while (J<=7)
  #declare K=-7;
  #while (K<=7)
    #declare W=5+int(rand(R)*10);
    #declare D=5+int(rand(R)*7);
    #declare F=20+int(rand(R)*(10-sqrt(J*J+K*K))*6 );
    #declare T=int(rand(R)*41)+1;
    #declare RB=0;
    #if (rand(R) < 0.8)
      #declare RB=1;
    #end
    #declare I=1;
    #while (I<512)
      #if (rand(R) < 0.2)
        #declare RB=RB+I;
      #end
      #declare I=I*2;
    #end
    #if (RB = 0)
      #declare RB=1;
    #end
    #if (rand(R) < 0.1)
      #declare RB=RB+512;
    #end
    #declare Shape=int(rand(R)*maxshape);
    #declare Prism=int(rand(R)*maxprism);
    
    //#debug concat( str(RB,0,0)," ",str(Shape,0,0)," ",str(Prism,0,0),"\n")
    Building(W,D,F,<200*J,0,200*K>,T, RB, Shape, Prism)
    
    
    #declare K=K+Sk;
  #end	
  #declare J=J+Sj;
#end



#if (Fog)
  fog {
    color rgb <0.7, 0.8, 0.9>*0.4
    distance Fog
  }
#end

global_settings {assumed_gamma 1.0
 #if (Rad)
  radiosity {             // --- Settings 1 (fast) ---
    pretrace_start 0.08
    pretrace_end   0.02
    count 50
    error_bound 0.5
    recursion_limit 1
  }
 #end
}
